diff -crN gimp-1.0.0.orig/plug-ins/checkerboard/Imakefile gimp-1.0.0/plug-ins/checkerboard/Imakefile
*** gimp-1.0.0.orig/plug-ins/checkerboard/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/checkerboard/Imakefile	Thu Jul  9 18:49:48 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(checkerboard)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/CML_explorer/Imakefile gimp-1.0.0/plug-ins/CML_explorer/Imakefile
*** gimp-1.0.0.orig/plug-ins/CML_explorer/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/CML_explorer/Imakefile	Thu Jul  9 18:40:24 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(CML_explorer)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/colorify/Imakefile gimp-1.0.0/plug-ins/colorify/Imakefile
*** gimp-1.0.0.orig/plug-ins/colorify/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/colorify/Imakefile	Thu Jul  9 18:50:56 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(colorify)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/compose/Imakefile gimp-1.0.0/plug-ins/compose/Imakefile
*** gimp-1.0.0.orig/plug-ins/compose/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/compose/Imakefile	Thu Jul  9 18:53:04 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(compose)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/convmatrix/Imakefile gimp-1.0.0/plug-ins/convmatrix/Imakefile
*** gimp-1.0.0.orig/plug-ins/convmatrix/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/convmatrix/Imakefile	Thu Jul  9 18:54:06 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(convmatrix)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/cubism/Imakefile gimp-1.0.0/plug-ins/cubism/Imakefile
*** gimp-1.0.0.orig/plug-ins/cubism/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/cubism/Imakefile	Thu Jul  9 18:55:12 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(cubism)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/dbbrowser/Imakefile gimp-1.0.0/plug-ins/dbbrowser/Imakefile
*** gimp-1.0.0.orig/plug-ins/dbbrowser/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/dbbrowser/Imakefile	Thu Jul  9 18:07:36 1998
***************
*** 0 ****
--- 1,13 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SRCS = dbbrowser.c dbbrowser_utils.c
+ 
+ OBJS = dbbrowser.o dbbrowser_utils.o
+ 
+ ComplexProgramTarget(dbbrowser)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/decompose/Imakefile gimp-1.0.0/plug-ins/decompose/Imakefile
*** gimp-1.0.0.orig/plug-ins/decompose/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/decompose/Imakefile	Thu Jul  9 18:55:58 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(decompose)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/deinterlace/Imakefile gimp-1.0.0/plug-ins/deinterlace/Imakefile
*** gimp-1.0.0.orig/plug-ins/deinterlace/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/deinterlace/Imakefile	Sat Jul 11 15:54:26 1998
***************
*** 0 ****
--- 1,11 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ ADD_LIBS = -L../megawidget -lmegawidget
+ 
+ SimpleProgramTarget(deinterlace)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/depthmerge/Imakefile gimp-1.0.0/plug-ins/depthmerge/Imakefile
*** gimp-1.0.0.orig/plug-ins/depthmerge/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/depthmerge/Imakefile	Thu Jul  9 18:58:10 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(depthmerge)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/despeckle/despeckle.c gimp-1.0.0/plug-ins/despeckle/despeckle.c
*** gimp-1.0.0.orig/plug-ins/despeckle/despeckle.c	Tue Apr 28 11:50:16 1998
--- gimp-1.0.0/plug-ins/despeckle/despeckle.c	Sat Jul 11 10:42:46 1998
***************
*** 237,248 ****
--- 237,252 ----
   * 'main()' - Main entry - just call gimp_main()...
   */
  
+ #if 0
  int
  main(int  argc,		/* I - Number of command-line args */
       char *argv[])	/* I - Command-line args */
  {
    return (gimp_main(argc, argv));
  }
+ #else
+ MAIN()
+ #endif
  
  
  /*
diff -crN gimp-1.0.0.orig/plug-ins/despeckle/Imakefile gimp-1.0.0/plug-ins/despeckle/Imakefile
*** gimp-1.0.0.orig/plug-ins/despeckle/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/despeckle/Imakefile	Thu Jul  9 19:02:54 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(despeckle)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/destripe/destripe.c gimp-1.0.0/plug-ins/destripe/destripe.c
*** gimp-1.0.0.orig/plug-ins/destripe/destripe.c	Mon Apr 13 13:41:42 1998
--- gimp-1.0.0/plug-ins/destripe/destripe.c	Sat Jul 11 10:44:04 1998
***************
*** 120,131 ****
--- 120,135 ----
   * 'main()' - Main entry - just call gimp_main()...
   */
  
+ #if 0
  int
  main(int  argc,		/* I - Number of command-line args */
       char *argv[])	/* I - Command-line args */
  {
    return (gimp_main(argc, argv));
  }
+ #else
+ MAIN()
+ #endif
  
  
  /*
diff -crN gimp-1.0.0.orig/plug-ins/destripe/Imakefile gimp-1.0.0/plug-ins/destripe/Imakefile
*** gimp-1.0.0.orig/plug-ins/destripe/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/destripe/Imakefile	Thu Jul  9 19:03:42 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(destripe)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/diffraction/Imakefile gimp-1.0.0/plug-ins/diffraction/Imakefile
*** gimp-1.0.0.orig/plug-ins/diffraction/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/diffraction/Imakefile	Thu Jul  9 19:04:24 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(diffraction)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/displace/Imakefile gimp-1.0.0/plug-ins/displace/Imakefile
*** gimp-1.0.0.orig/plug-ins/displace/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/displace/Imakefile	Thu Jul  9 19:05:06 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(displace)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/edge/Imakefile gimp-1.0.0/plug-ins/edge/Imakefile
*** gimp-1.0.0.orig/plug-ins/edge/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/edge/Imakefile	Thu Jul  9 19:05:54 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(edge)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/emboss/Imakefile gimp-1.0.0/plug-ins/emboss/Imakefile
*** gimp-1.0.0.orig/plug-ins/emboss/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/emboss/Imakefile	Sat Jul 11 15:55:14 1998
***************
*** 0 ****
--- 1,11 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ ADD_LIBS = -L../megawidget -lmegawidget
+ 
+ SimpleProgramTarget(emboss)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/engrave/Imakefile gimp-1.0.0/plug-ins/engrave/Imakefile
*** gimp-1.0.0.orig/plug-ins/engrave/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/engrave/Imakefile	Thu Jul  9 19:07:58 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(engrave)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/exchange/Imakefile gimp-1.0.0/plug-ins/exchange/Imakefile
*** gimp-1.0.0.orig/plug-ins/exchange/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/exchange/Imakefile	Thu Jul  9 19:08:44 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(exchange)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/faxg3/Imakefile gimp-1.0.0/plug-ins/faxg3/Imakefile
*** gimp-1.0.0.orig/plug-ins/faxg3/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/faxg3/Imakefile	Thu Jul  9 19:12:14 1998
***************
*** 0 ****
--- 1,12 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SRCS = faxg3.c g3.c run_tbl.c
+ OBJS = faxg3.o g3.o run_tbl.o
+ 
+ ComplexProgramTarget(faxg3)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/film/Imakefile gimp-1.0.0/plug-ins/film/Imakefile
*** gimp-1.0.0.orig/plug-ins/film/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/film/Imakefile	Thu Jul  9 19:10:38 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(film)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/fits/Imakefile gimp-1.0.0/plug-ins/fits/Imakefile
*** gimp-1.0.0.orig/plug-ins/fits/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/fits/Imakefile	Thu Jul  9 19:11:50 1998
***************
*** 0 ****
--- 1,12 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SRCS = fits.c fitsrw.c
+ OBJS = fits.o fitsrw.o
+ 
+ ComplexProgramTarget(fits)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/flame/Imakefile gimp-1.0.0/plug-ins/flame/Imakefile
*** gimp-1.0.0.orig/plug-ins/flame/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/flame/Imakefile	Sat Jul 11 15:56:12 1998
***************
*** 0 ****
--- 1,14 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ ADD_LIBS = -L../megawidget -lmegawidget
+ 
+ SRCS = cmap.c flame.c libifs.c rect.c
+ OBJS = cmap.o flame.o libifs.o rect.o
+ 
+ ComplexProgramTarget(flame)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/flarefx/Imakefile gimp-1.0.0/plug-ins/flarefx/Imakefile
*** gimp-1.0.0.orig/plug-ins/flarefx/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/flarefx/Imakefile	Thu Jul  9 19:16:00 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(flarefx)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/fractaltrace/Imakefile gimp-1.0.0/plug-ins/fractaltrace/Imakefile
*** gimp-1.0.0.orig/plug-ins/fractaltrace/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/fractaltrace/Imakefile	Thu Jul  9 19:16:48 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(fractaltrace)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/gauss_iir/Imakefile gimp-1.0.0/plug-ins/gauss_iir/Imakefile
*** gimp-1.0.0.orig/plug-ins/gauss_iir/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/gauss_iir/Imakefile	Thu Jul  9 19:43:46 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(gauss_iir)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/gauss_rle/Imakefile gimp-1.0.0/plug-ins/gauss_rle/Imakefile
*** gimp-1.0.0.orig/plug-ins/gauss_rle/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/gauss_rle/Imakefile	Thu Jul  9 19:44:32 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(gauss_rle)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/gbr/Imakefile gimp-1.0.0/plug-ins/gbr/Imakefile
*** gimp-1.0.0.orig/plug-ins/gbr/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/gbr/Imakefile	Thu Jul  9 19:45:12 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(gbr)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/gee/Imakefile gimp-1.0.0/plug-ins/gee/Imakefile
*** gimp-1.0.0.orig/plug-ins/gee/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/gee/Imakefile	Thu Jul  9 19:45:52 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(gee)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/gfig/gfig-examples/Imakefile gimp-1.0.0/plug-ins/gfig/gfig-examples/Imakefile
*** gimp-1.0.0.orig/plug-ins/gfig/gfig-examples/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/gfig/gfig-examples/Imakefile	Thu Jul  9 20:18:24 1998
***************
*** 0 ****
--- 1,21 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../../../gimp.cf"
+ 
+ gfigdata_DATA = \
+         A_star                  \
+         curves                  \
+         polys                   \
+         ring                    \
+         ring+star               \
+         simily                  \
+         spirals_and_stars       \
+         sprial                  \
+         star2                   \
+         stars
+ 
+ InstallMultiple($(gfigdata_DATA),$(GIMPDATADIR)/gfig)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/gfig/gfig.c gimp-1.0.0/plug-ins/gfig/gfig.c
*** gimp-1.0.0.orig/plug-ins/gfig/gfig.c	Fri Apr 24 10:18:40 1998
--- gimp-1.0.0/plug-ins/gfig/gfig.c	Sat Jul 11 14:29:14 1998
***************
*** 839,851 ****
--- 839,859 ----
  
    /* Search through all directories in the  path */
  
+ #ifndef __EMX__
    token = strtok (path_string, ":");
+ #else
+   token = strtok (path_string, ";");
+ #endif
  
    while (token)
      {
        if (*token == '\0')
  	{
+ #ifndef __EMX__
  	  token = strtok (NULL, ":");
+ #else
+ 	  token = strtok (NULL, ";");
+ #endif
  	  continue;
  	}
  
***************
*** 880,886 ****
--- 888,898 ----
  	  create_warn_dialog(buf);
  	  g_free (path);
  	}
+ #ifndef __EMX__
        token = strtok (NULL, ":");
+ #else
+       token = strtok (NULL, ";");
+ #endif
      }
    g_free (path_string);
  }
diff -crN gimp-1.0.0.orig/plug-ins/gfig/Imakefile gimp-1.0.0/plug-ins/gfig/Imakefile
*** gimp-1.0.0.orig/plug-ins/gfig/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/gfig/Imakefile	Thu Jul  9 20:16:28 1998
***************
*** 0 ****
--- 1,15 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(gfig)
+ 
+ #define IHaveSubdirs
+ #define PassCDebugFlags
+ 
+ SUBDIRS = gfig-examples
+ 
+ MakeSubdirs($(SUBDIRS))
diff -crN gimp-1.0.0.orig/plug-ins/gfli/Imakefile gimp-1.0.0/plug-ins/gfli/Imakefile
*** gimp-1.0.0.orig/plug-ins/gfli/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/gfli/Imakefile	Thu Jul  9 20:21:00 1998
***************
*** 0 ****
--- 1,12 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SRCS = fli.c gfli.c
+ OBJS = fli.o gfli.o
+ 
+ ComplexProgramTarget(gfli)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/gicon/Imakefile gimp-1.0.0/plug-ins/gicon/Imakefile
*** gimp-1.0.0.orig/plug-ins/gicon/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/gicon/Imakefile	Thu Jul  9 20:21:52 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(gicon)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/gif/Imakefile gimp-1.0.0/plug-ins/gif/Imakefile
*** gimp-1.0.0.orig/plug-ins/gif/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/gif/Imakefile	Thu Jul  9 20:23:02 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(gif)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/glasstile/Imakefile gimp-1.0.0/plug-ins/glasstile/Imakefile
*** gimp-1.0.0.orig/plug-ins/glasstile/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/glasstile/Imakefile	Thu Jul  9 20:23:56 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(glasstile)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/gpc/gpcos2.def gimp-1.0.0/plug-ins/gpc/gpcos2.def
*** gimp-1.0.0.orig/plug-ins/gpc/gpcos2.def	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/gpc/gpcos2.def	Sun Jul 26 01:16:40 1998
***************
*** 0 ****
--- 1,16 ----
+ LIBRARY gpc
+ DESCRIPTION "GIMP/2 gpc.dll for XFree86/OS2 version 1.0.0"
+ CODE PRELOAD
+ DATA MULTIPLE NONSHARED
+ STACKSIZE 32768
+ EXPORTS
+ 	gpc_close_callback @ 1
+ 	gpc_cancel_callback @ 2
+ 	gpc_scale_update @ 3
+ 	gpc_text_update @ 4
+ 	gpc_setup_tooltips @ 5
+ 	gpc_set_tooltip @ 6
+ 	gpc_add_action_button @ 7
+ 	gpc_add_radio_button @ 8
+ 	gpc_add_label @ 9
+ 	gpc_add_hscale @ 10
diff -crN gimp-1.0.0.orig/plug-ins/gpc/gpcos2.rsp gimp-1.0.0/plug-ins/gpc/gpcos2.rsp
*** gimp-1.0.0.orig/plug-ins/gpc/gpcos2.rsp	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/gpc/gpcos2.rsp	Thu Jul  9 17:26:30 1998
***************
*** 0 ****
--- 1,3 ----
+ gpc.obj /NOL /NOD /BAT
+ gpc.dll
+ 
diff -crN gimp-1.0.0.orig/plug-ins/gpc/Imakefile gimp-1.0.0/plug-ins/gpc/Imakefile
*** gimp-1.0.0.orig/plug-ins/gpc/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/gpc/Imakefile	Thu Aug 13 14:55:48 1998
***************
*** 0 ****
--- 1,30 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #define DoNormalLib (!HasSharedLibraries || ForceNormalLib)
+ #define DoSharedLib HasSharedLibraries
+ #define LibName gpc
+ #define IncSubdir plug-ins/gpc
+ 
+ #ifdef OS2Architecture
+ REQUIREDLIBS = $(X11ROOT)\\XFree86\\lib\\ gtk gdk glib Xext X11 shm
+ #endif
+ 
+ DEFINES = -DHAVE_CONFIG_H
+ 
+ INCLUDES = -I../.. -I.
+ 
+ HEADERS = gpc.h
+ 
+ OBJS =	gpc.o
+ 
+ #include <Library.tmpl>
+ 
+ InstallManPage(gpc,$(LIBMANDIR))
+ 
+ #ifdef OS2Architecture
+ clean::
+ 	rm -rf exports
+ #endif
diff -crN gimp-1.0.0.orig/plug-ins/gqbist/Imakefile gimp-1.0.0/plug-ins/gqbist/Imakefile
*** gimp-1.0.0.orig/plug-ins/gqbist/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/gqbist/Imakefile	Thu Jul  9 20:24:50 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(gqbist)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/gradmap/Imakefile gimp-1.0.0/plug-ins/gradmap/Imakefile
*** gimp-1.0.0.orig/plug-ins/gradmap/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/gradmap/Imakefile	Thu Jul  9 20:27:16 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(gradmap)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/grid/Imakefile gimp-1.0.0/plug-ins/grid/Imakefile
*** gimp-1.0.0.orig/plug-ins/grid/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/grid/Imakefile	Thu Jul  9 20:27:46 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(grid)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/gtm/Imakefile gimp-1.0.0/plug-ins/gtm/Imakefile
*** gimp-1.0.0.orig/plug-ins/gtm/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/gtm/Imakefile	Thu Jul  9 20:28:16 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(gtm)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/gz/gz.c gimp-1.0.0/plug-ins/gz/gz.c
*** gimp-1.0.0.orig/plug-ins/gz/gz.c	Sat May 30 15:32:28 1998
--- gimp-1.0.0/plug-ins/gz/gz.c	Sat Jul 11 15:31:34 1998
***************
*** 67,72 ****
--- 67,76 ----
  #include <errno.h>
  #include "gtk/gtk.h"
  #include "libgimp/gimp.h"
+ #ifdef __EMX__
+ #include <fcntl.h>
+ #include <process.h>
+ #endif
  
  /* Author 1: Josh MacDonald (url.c) */
  /* Author 2: Daniel Risacher (gz.c) */
***************
*** 278,283 ****
--- 282,288 ----
  /*     return -1; */
  /*   } */
  
+ #ifndef __EMX__
    /* fork off a gzip process */
    if ((pid = fork()) < 0)
      {
***************
*** 302,307 ****
--- 307,352 ----
        _exit(127);
      }
    else
+ #else /* __EMX__ */
+   if (!(f = fopen(filename,"w"))){
+     g_message("gz: fopen failed: %s\n", g_strerror(errno));
+     return -1;
+   }
+   {
+     int tfd, flag;
+     /* save fileno(stdout) */
+     tfd = dup(fileno(stdout));
+     if (tfd < 0)
+       {
+         g_message("gz: dup failed: %s\n", g_strerror(errno));
+         return -1;
+       }
+     /* make stdout for this process be the output file */
+     if (dup2(fileno(f),fileno(stdout)) == -1)
+       {
+         g_message ("gz: dup2 failed: %s\n", g_strerror(errno));
+ 	close(tfd);
+         return -1;
+       }
+     flag = fcntl(tfd, F_GETFD);
+     fcntl(tfd, F_SETFD, flag | FD_CLOEXEC);
+     pid = spawnlp (P_NOWAIT, "gzip", "gzip", "-cf", tmpname, NULL);
+     fclose(f);
+     /* restore fileno(stdout) */
+     if (dup2(tfd,fileno(stdout)) == -1)
+       {
+         g_message ("gz: dup2 failed: %s\n", g_strerror(errno));
+ 	close(tfd);
+         return -1;
+       }
+     close(tfd);
+     if (pid == -1)
+       {
+         g_message ("gz: spawn failed: %s\n", g_strerror(errno));
+         return -1;
+       }
+   }
+ #endif
      {
        waitpid (pid, &status, 0);
  
***************
*** 341,346 ****
--- 386,392 ----
  
    tmpname = params[1].data.d_string;
  
+ #ifndef __EMX__
    /* fork off a g(un)zip and wait for it */
    if ((pid = fork()) < 0)
      {
***************
*** 365,370 ****
--- 411,457 ----
        _exit(127);
      }
    else  /* parent process */
+ #else /* __EMX__ */
+   {
+     FILE *f;
+     int tfd, flag;
+     if (!(f = fopen(tmpname,"w"))){
+       g_message("gz: fopen failed: %s\n", g_strerror(errno));
+       return -1;
+     }
+     /* save fileno(stdout) */
+     tfd = dup(fileno(stdout));
+     if (tfd < 0)
+       {
+         g_message("gz: dup failed: %s\n", g_strerror(errno));
+         return -1;
+       }
+     /* make stdout for this process be the output file */
+     if (dup2(fileno(f),fileno(stdout)) == -1)
+       {
+         g_message ("gz: dup2 failed: %s\n", g_strerror(errno));
+ 	close(tfd);
+         return -1;
+       }
+     flag = fcntl(tfd, F_GETFD);
+     fcntl(tfd, F_SETFD, flag | FD_CLOEXEC);
+     pid = spawnlp (P_NOWAIT, "gzip", "gzip", "-cfd", filename, NULL);
+     fclose(f);
+     /* restore fileno(stdout) */
+     if (dup2(tfd,fileno(stdout)) == -1)
+       {
+         g_message ("gz: dup2 failed: %s\n", g_strerror(errno));
+ 	close(tfd);
+         return -1;
+       }
+     close(tfd);
+     if (pid == -1)
+       {
+         g_message ("gz: spawn failed: %s\n", g_strerror(errno));
+         return -1;
+       }
+   }
+ #endif
      {
        waitpid (pid, &status, 0);
  
diff -crN gimp-1.0.0.orig/plug-ins/gz/Imakefile gimp-1.0.0/plug-ins/gz/Imakefile
*** gimp-1.0.0.orig/plug-ins/gz/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/gz/Imakefile	Thu Jul  9 20:28:46 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(gz)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/header/Imakefile gimp-1.0.0/plug-ins/header/Imakefile
*** gimp-1.0.0.orig/plug-ins/header/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/header/Imakefile	Thu Jul  9 20:30:04 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(header)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/hot/Imakefile gimp-1.0.0/plug-ins/hot/Imakefile
*** gimp-1.0.0.orig/plug-ins/hot/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/hot/Imakefile	Sat Jul 11 15:57:36 1998
***************
*** 0 ****
--- 1,11 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ ADD_LIBS = -L../megawidget -lmegawidget
+ 
+ SimpleProgramTarget(hot)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/hrz/hrz.c gimp-1.0.0/plug-ins/hrz/hrz.c
*** gimp-1.0.0.orig/plug-ins/hrz/hrz.c	Mon Apr 13 13:42:20 1998
--- gimp-1.0.0/plug-ins/hrz/hrz.c	Mon Jul 13 18:29:46 1998
***************
*** 43,49 ****
--- 43,51 ----
  #include <string.h>
  #include <math.h>
  #include <unistd.h>
+ #ifndef __EMX__
  #include <sys/mman.h>
+ #endif
  #include "gtk/gtk.h"
  #include "libgimp/gimp.h"
  
***************
*** 292,303 ****
--- 294,319 ----
        fprintf(stderr, "hrz filter: file is not HRZ type\n");
        return -1;
      }
+ #ifndef __EMX__
    mapped = mmap(NULL, 256*240*3, PROT_READ, MAP_PRIVATE, filedes, 0);
    if(mapped == (void *)(-1))
      {
        fprintf(stderr, "hrz filter: could not map file\n");
        return -1;
      }
+ #else
+   mapped = g_malloc(256*240*3);
+   if(mapped == NULL)
+     {
+       fprintf(stderr, "hrz filter: could not allocate memory\n");
+       return -1;
+     }
+   if (read(filedes, mapped, 256*240*3) != 256*240*3)
+     {
+       fprintf(stderr, "hrz filter: file read error\n");
+       return -1;
+     }
+ #endif
    close (filedes);  /* not needed anymore, data is memory mapped */
  
    /* Create new image of proper size; associate filename */
***************
*** 315,322 ****
--- 331,342 ----
  
    do_hrz_load(mapped, &pixel_rgn);
  
+ #ifndef __EMX__
    /* close the file */
    munmap(mapped, 256*240*3);
+ #else
+   g_free(mapped);
+ #endif
  
    /* Tell the GIMP to display the image.
     */
diff -crN gimp-1.0.0.orig/plug-ins/hrz/Imakefile gimp-1.0.0/plug-ins/hrz/Imakefile
*** gimp-1.0.0.orig/plug-ins/hrz/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/hrz/Imakefile	Mon Jul 13 18:23:34 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(hrz)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/ifscompose/Imakefile gimp-1.0.0/plug-ins/ifscompose/Imakefile
*** gimp-1.0.0.orig/plug-ins/ifscompose/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/ifscompose/Imakefile	Thu Jul  9 20:44:10 1998
***************
*** 0 ****
--- 1,12 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SRCS = ifscompose.c ifscompose_utils.c
+ OBJS = ifscompose.o ifscompose_utils.o
+ 
+ ComplexProgramTarget(ifscompose)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/illusion/Imakefile gimp-1.0.0/plug-ins/illusion/Imakefile
*** gimp-1.0.0.orig/plug-ins/illusion/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/illusion/Imakefile	Thu Jul  9 20:45:04 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(illusion)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/Imakefile gimp-1.0.0/plug-ins/Imakefile
*** gimp-1.0.0.orig/plug-ins/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/Imakefile	Mon Jul 13 18:35:52 1998
***************
*** 0 ****
--- 1,140 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #define IHaveSubdirs
+ #define PassCDebugFlags
+ 
+ SUBDIRS = 			\
+ 	libgck			\
+ 	megawidget		\
+ 	gpc			\
+ 	MapObject		\
+ 	AlienMap		\
+ 	dbbrowser		\
+ 	script-fu		\
+ 	struc			\
+ 	webbrowser		\
+ 	aa			\
+ 	tiff			\
+ 	jpeg			\
+ 	png			\
+ 	mpeg			\
+ 	xd			\
+ 	xpm			\
+ 	CML_explorer		\
+ 	align_layers		\
+ 	animoptimize		\
+ 	apply_lens		\
+ 	autocrop		\
+ 	animationplay		\
+ 	autostretch_hsv		\
+ 	blinds			\
+ 	blur			\
+ 	bmp			\
+ 	bumpmap			\
+ 	bz2			\
+ 	c_astretch		\
+ 	CEL			\
+ 	checkerboard		\
+ 	colorify		\
+ 	compose			\
+ 	convmatrix		\
+ 	cubism			\
+ 	decompose		\
+ 	deinterlace		\
+ 	depthmerge		\
+ 	despeckle		\
+ 	destripe		\
+ 	diffraction		\
+ 	displace		\
+ 	edge			\
+ 	emboss			\
+ 	engrave			\
+ 	exchange		\
+ 	faxg3			\
+ 	film			\
+ 	fits			\
+ 	flame			\
+ 	flarefx			\
+ 	fractaltrace		\
+ 	gauss_iir		\
+ 	gauss_rle		\
+ 	gbr			\
+ 	gee			\
+ 	gfig			\
+ 	gfli			\
+ 	gicon			\
+ 	gif			\
+ 	glasstile		\
+ 	gqbist			\
+ 	gradmap			\
+ 	grid			\
+ 	gtm			\
+ 	gz			\
+ 	header			\
+ 	hot			\
+ 	hrz			\
+ 	ifscompose		\
+ 	illusion		\
+ 	iwarp			\
+ 	laplace			\
+ 	mail			\
+ 	max_rgb			\
+ 	maze			\
+ 	mblur			\
+ 	mosaic			\
+ 	nlfilt			\
+ 	noisify			\
+ 	normalize		\
+ 	nova			\
+ 	oilify			\
+ 	pagecurl		\
+ 	palette			\
+ 	papertile		\
+ 	pat			\
+ 	pcx			\
+ 	pix			\
+ 	pixelize		\
+ 	plasma			\
+ 	pnm			\
+ 	polar			\
+ 	print			\
+ 	ps			\
+ 	psd			\
+ 	randomize		\
+ 	ripple			\
+ 	rotate			\
+ 	rotators		\
+ 	scatter_hsv		\
+ 	screenshot		\
+ 	semiflatten		\
+ 	sgi			\
+ 	sharpen			\
+ 	shift			\
+ 	sinus			\
+ 	smooth_palette		\
+ 	snoise			\
+ 	snp			\
+ 	sobel			\
+ 	sparkle			\
+ 	spread			\
+ 	sunras			\
+ 	tga			\
+ 	threshold_alpha		\
+ 	tile			\
+ 	tileit			\
+ 	tiler			\
+ 	url			\
+ 	video			\
+ 	vinvert			\
+ 	vpropagate		\
+ 	waves			\
+ 	whirlpinch		\
+ 	xwd			\
+ 	zealouscrop
+ 
+ MakeSubdirs($(SUBDIRS))
+ DependSubdirs($(SUBDIRS))
+ 
diff -crN gimp-1.0.0.orig/plug-ins/iwarp/Imakefile gimp-1.0.0/plug-ins/iwarp/Imakefile
*** gimp-1.0.0.orig/plug-ins/iwarp/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/iwarp/Imakefile	Thu Jul  9 20:45:44 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(iwarp)
+ 
